[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomPrinterSetupDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Base class for TPrinterSetupDialog and TPageSetupDialog.

## Declaration

Source position: dialogs.pp line 445

`type TCustomPrinterSetupDialog = class(TCommonDialog) end;`

## Inheritance

`TCustomPrinterSetupDialog` |  | Base class for TPrinterSetupDialog and TPageSetupDialog.
`TCommonDialog` |  | TCommonDialog : the base type from which other dialogs are derived
`TLCLComponent` |  | TLCLComponent - base class for LCL components
`TComponent,IUnknown,IInterfaceComponentReference`
`TPersistent`
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.